petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscPOpenSetMachine

Sets the name of the default machine to run PetscPOpen() calls on

### Synopsis

    PetscErrorCode  PetscPOpenSetMachine(const char machine[])

Logically Collective, but only process 0 runs the command

### Input Parameter

| machine | - machine to run command on or NULL to remove previous entry

### Options Database

| -popen_machine <machine>

### See Also

PetscFOpen(), PetscFClose(), PetscPClose(), PetscPOpen()

### Level

intermediate

### Location

src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages